/*
 * MessageException.java
 *
 * Created on 19 April 2005, 11:53
 */

package jim.common.mail;

/**
 * Exception raised by jim.common.mail classes
 * @author briggsj
 */
public class MessageException extends java.lang.RuntimeException {
    
    /**
     * Creates a new instance of <code>MessageException</code> without detail message.
     */
    public MessageException() {
    }
    
    
    /**
     * Constructs an instance of <code>MessageException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public MessageException(String msg) {
        super(msg);
    }
    
    /**
     * Constructs an instance of <code>MessageException</code> with the specified detail message.
     * @param msg the detail message.
     * @param t the cause
     */
    public MessageException(String msg, Throwable t) {
        super(msg, t);
    }
}
