/*
 * ShowMessages.java
 *
 * Created on 19 April 2005, 20:24
 */

package jim.mailapp.struts;

import java.util.Map;
import jim.common.JimFatalException;
import jim.mailapp.MessageProcess;
import jim.util.struts.JimActionErrors;
import jim.util.struts.StrutsUtils;

import org.apache.struts.action.ActionForward;

/**
 *
 * @author  briggsj
 */
public class ShowMessagesAction extends MailAppBaseAction {
    
    /** Creates a new instance of ShowMessages */
    public ShowMessagesAction() {
    }
    
    public ActionForward doExecute(StrutsUtils su) throws java.io.IOException, javax.servlet.ServletException, JimFatalException {
        MessageProcess mp;
        try {
            mp = new MessageProcess();
        } catch (Exception e) {
            JimActionErrors err = new JimActionErrors();
            err.addGlobal("mail.nomessages", "");
            return su.failure();
        }
        Map msgs = mp.getMessages();
        su.setAttribute("mailapp.messages", msgs, StrutsUtils.REQUEST_SCOPE);
        return su.success();
    }
    
}
