/*
 * Trace.java
 *
 * Created on 02 March 2004, 15:28
 */

package jim.common;

import org.apache.log4j.Logger;

/**
 *
 * @author  briggsj
 */
public class Trace {
    
    static Logger logger = Logger.getLogger(Trace.class);
    
    private static String lastText;
    
    /** Holds value of property level. */
    private static int traceLevel = 0;
    
    /** Creates a new instance of Trace */
    public Trace() {
    }
    
    public static void print(String s, int msgLevel) {
        lastText = s;
        logger.info(s);
//        if (traceLevel >= msgLevel) {
//            System.out.println(new java.util.Date() + ": " + s);
//        }
    }
    
    public static void print(String s) {
        print(s, 1);
    }
    
    /** Getter for property level.
     * @return Value of property level.
     *
     */
    public static int getLevel() {
        return traceLevel;
    }
    
    /** Setter for property level.
     * @param level New value of property level.
     *
     */
    public static void setLevel(int level) {
        traceLevel = level;
    }
    
}
