/*
 * LogFilter.java
 *
 * Created on 02 April 2005, 10:37
 */

package jim.util;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import jim.common.Logger;
import org.apache.commons.logging.Log;


/**
 *
 * @author  briggsj
 */
public class LogFilter implements Filter {
    
    static private Log log = Logger.getLog(LogFilter.class);
    
    /** Creates a new instance of logFilter */
    public LogFilter() {
    }
    
    public void destroy() {
    }
    
    public void doFilter(ServletRequest servletRequest, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        HttpServletRequest request = (HttpServletRequest)servletRequest;
        StringBuffer logline = new StringBuffer();
        logline.append(request.getRequestURL() + ":");
        logline.append(request.getRemoteHost()+ ":");
        String anonymiser = RequestUtils.getParameter(request, "anonymiser", "ana");
        logline.append(anonymiser+":");
        String annum = RequestUtils.getParameter(request, "annum", "yna");
        logline.append(annum+":");
        log.info(logline);
        chain.doFilter(request, response);
    }
    
    public void init(FilterConfig filterConfig) throws ServletException {
    }
    
}
